Bug 152409 - CAN-2005-0815 isofs range checking flaws
CAN-2005-0815 isofs range checking flaws
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
public=20050317,source=bugtraq,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 05:28 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 18:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 05:28:54 EST
Michal Zalewski discovered some flaws in the iso9660 filesystem.  These flaws
could allow a malicious iso filesystem to cause a DoS or potentially execute
arbitrary code if mounted/examined.  Rated as a moderate severity issue as
requires a local user who has permissions to mount a filesystem (or physical
access to the console).

http://marc.theaimsgroup.com/?l=bugtraq&m=111110067304783

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244beb4CNM5FJ-dSQjYbDZ1wJ2yNQ
fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244be82bvD-_7wwLkYa0visB12aEw
fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bedbODYVU4s1YAGRvZSt28TAgA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a3d91w2q8hQzZefX9zsDlTlJtA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a3aeRsXj7r4AC7s1QgPvWpjtoA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a417jb-ZTWgax2mcR2so3l3KaQ

Already fixed for FC2 in FEDORA-2005-262

Note You need to log in before you can comment on or make changes to this bug.